Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.macro
Interface Macro

All Known Implementing Classes:
  MacroImpl

public interface Macro

Macro helper class.

Version:
  $Revision: 1.19 $

Field Summary
`static java.lang.String` | `ALREADY_COPIED`
`static MacroParameters` | `DEFAULT_PARAMETERS`
`static java.lang.String` | `PARENT_BINDINGS`
`static MacroParameters` | `RECURSIVE_OVERWRITE_PARAMETERS`

Method Summary
`void` | `copy(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri)` Recursive copy with overwrite macro.
`void` | `copy(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, CopyRouteRedirector copyRedirector, CopyListener copyListener, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Recursive copy with overwrite macro.
`void` | `copy(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, MacroParameters parameters)` Copy macro.
`void` | `copy(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, MacroParameters parameters, CopyRouteRedirector copyRedirector, CopyListener copyListener, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Copy macro.
`void` | `delete(SlideToken token, java.lang.String targetUri)` Recursive delete.
`void` | `delete(SlideToken token, java.lang.String targetUri, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Recursive delete.
`void` | `delete(SlideToken token, java.lang.String targetUri, MacroParameters parameters)` Delete macro.
`void` | `delete(SlideToken token, java.lang.String targetUri, MacroParameters parameters, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Delete macro.
`void` | `move(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri)` Recursive move with overwrite macro.
`void` | `move(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, CopyRouteRedirector copyRedirector, CopyListener copyListener, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Recursive move with overwrite macro.
`void` | `move(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, MacroParameters parameters)` Move macro.
`void` | `move(SlideToken token, java.lang.String sourceUri, java.lang.String destinationUri, MacroParameters parameters, CopyRouteRedirector copyRedirector, CopyListener copyListener, DeleteTargetRedirector deleteRedirector, DeleteListener deleteListener)` Move macro.

Field Detail

### DEFAULT_PARAMETERS

    public static final MacroParameters DEFAULT_PARAMETERS

### RECURSIVE_OVERWRITE_PARAMETERS

    public static final MacroParameters RECURSIVE_OVERWRITE_PARAMETERS

### ALREADY_COPIED

    public static final java.lang.String ALREADY_COPIED

See Also:
  Constant Field Values

### PARENT_BINDINGS

    public static final java.lang.String PARENT_BINDINGS

See Also:
  Constant Field Values

Method Detail

### copy

    public void copy(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri)
              throws CopyMacroException,
                     DeleteMacroException

  Recursive copy with overwrite macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
  Throws:
    `CopyMacroException` - Generic Slide exception
    `DeleteMacroException`

### copy

    public void copy(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     CopyRouteRedirector copyRedirector,
                     CopyListener copyListener,
                     DeleteTargetRedirector deleteRedirector,
                     DeleteListener deleteListener)
              throws CopyMacroException,
                     DeleteMacroException

  Recursive copy with overwrite macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `copyRedirector` - the CopyRoutRedirector may be used to redirect the source and/or destination URI of the `copy` operation. (May be `null`.)
    `copyListener` - the CopyListener that will be notified before and after copying a resource. (May be `null`)
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a destination that will be overwritten by the copy. (May be `null`)
  Throws:
    `CopyMacroException` - Generic Slide exception
    `DeleteMacroException`

### copy

    public void copy(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     MacroParameters parameters)
              throws CopyMacroException,
                     DeleteMacroException

  Copy macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `parameters` - Macro parameters
  Throws:
    `CopyMacroException` - Generic Slide exception
    `DeleteMacroException`

### copy

    public void copy(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     MacroParameters parameters,
                     CopyRouteRedirector copyRedirector,
                     CopyListener copyListener,
                     DeleteTargetRedirector deleteRedirector,
                     DeleteListener deleteListener)
              throws CopyMacroException,
                     DeleteMacroException

  Copy macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `parameters` - Macro parameters
    `copyRedirector` - the CopyRoutRedirector may be used to redirect the source and/or destination URI of the `copy` operation. (May be `null`.)
    `copyListener` - the CopyListener that will be notified before and after copying a resource. (May be `null`)
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a destination that will be overwritten by the copy. (May be `null`)
  Throws:
    `CopyMacroException` - Generic Slide exception
    `DeleteMacroException`

### move

    public void move(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri)
              throws CopyMacroException,
                     DeleteMacroException

  Recursive move with overwrite macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
  Throws:
    `CopyMacroException` - Exception occured during copy
    `DeleteMacroException` - Exception occured during deletion

### move

    public void move(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     CopyRouteRedirector copyRedirector,
                     CopyListener copyListener,
                     DeleteTargetRedirector deleteRedirector,
                     DeleteListener deleteListener)
              throws CopyMacroException,
                     DeleteMacroException

  Recursive move with overwrite macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `copyRedirector` - the CopyRoutRedirector may be used to redirect the source and/or destination URI of the `copy` operation. (May be `null`.)
    `copyListener` - the CopyListener that will be notified before and after copying a resource. (May be `null`)
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a resource. (May be `null`)
  Throws:
    `CopyMacroException` - Exception occured during copy
    `DeleteMacroException` - Exception occured during deletion

### move

    public void move(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     MacroParameters parameters)
              throws CopyMacroException,
                     DeleteMacroException

  Move macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `parameters` - Macro parameters
  Throws:
    `CopyMacroException` - Exception occured during copy
    `DeleteMacroException` - Exception occured during deletion

### move

    public void move(SlideToken token,
                     java.lang.String sourceUri,
                     java.lang.String destinationUri,
                     MacroParameters parameters,
                     CopyRouteRedirector copyRedirector,
                     CopyListener copyListener,
                     DeleteTargetRedirector deleteRedirector,
                     DeleteListener deleteListener)
              throws CopyMacroException,
                     DeleteMacroException

  Move macro.

  Parameters:
    `token` - Credentials token
    `sourceUri` - Uri of the source
    `destinationUri` - Uri of the destination
    `parameters` - Macro parameters
    `copyRedirector` - the CopyRoutRedirector may be used to redirect the source and/or destination URI of the `copy` operation. (May be `null`.)
    `copyListener` - the CopyListener that will be notified before and after copying a resource. (May be `null`)
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a resource. (May be `null`)
  Throws:
    `CopyMacroException` - Exception occured during copy
    `DeleteMacroException` - Exception occured during deletion

### delete

    public void delete(SlideToken token,
                       java.lang.String targetUri)
                throws DeleteMacroException

  Recursive delete.

  Parameters:
    `token` - Credentials token
    `targetUri` - Uri of the object to delete
  Throws:
    `DeleteMacroException` - Generic Slide exception

### delete

    public void delete(SlideToken token,
                       java.lang.String targetUri,
                       DeleteTargetRedirector deleteRedirector,
                       DeleteListener deleteListener)
                throws DeleteMacroException

  Recursive delete.

  Parameters:
    `token` - Credentials token
    `targetUri` - Uri of the object to delete
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a resource. (May be `null`)
  Throws:
    `DeleteMacroException` - Generic Slide exception

### delete

    public void delete(SlideToken token,
                       java.lang.String targetUri,
                       MacroParameters parameters)
                throws DeleteMacroException

  Delete macro.

  Parameters:
    `token` - Credentials token
    `targetUri` - Uri of the source
    `parameters` - Macro parameters, not used right now, so it can be null
  Throws:
    `DeleteMacroException` - Generic Slide exception

### delete

    public void delete(SlideToken token,
                       java.lang.String targetUri,
                       MacroParameters parameters,
                       DeleteTargetRedirector deleteRedirector,
                       DeleteListener deleteListener)
                throws DeleteMacroException

  Delete macro.

  Parameters:
    `token` - Credentials token
    `targetUri` - Uri of the source
    `parameters` - Macro parameters, not used right now, so it can be null
    `deleteRedirector` - the DeleteTargetRedirector may be used to redirect the `delete` operation to a different target. (May be `null`.)
    `deleteListener` - the DeleteListener that will be notified before and after deleting a resource. (May be `null`)
  Throws:
    `DeleteMacroException` - Generic Slide exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD